Package: org.gradle.nativeplatform.platform

## [Java] Interface OperatingSystem

- org.gradle.nativeplatform.platform.OperatingSystem

- All Superinterfaces:
    Named

  A machine operating system.

  Operating System | Aliases
  --- | ---
  Windows | "windows"
  GNU/Linux | "linux"
  Mac OS X | "osx", "mac os x", "darwin"
  Solaris | "solaris", "sunos"

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this operating system.
    `boolean` | `isCurrent()` Is this the current OS?
    `boolean` | `isFreeBSD()` Is it FreeBSD?
    `boolean` | `isLinux()` Is it Linux?
    `boolean` | `isMacOsX()` Is it Mac OS X?
    `boolean` | `isSolaris()` Is it Solaris?
    `boolean` | `isWindows()` Is it Windows?

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getDisplayName()

      Returns a human-consumable display name for this operating system.

    - #### public boolean isCurrent()

      Is this the current OS?

    - #### public boolean isFreeBSD()

      Is it FreeBSD?

    - #### public boolean isLinux()

      Is it Linux?

    - #### public boolean isMacOsX()

      Is it Mac OS X?

    - #### public boolean isSolaris()

      Is it Solaris?

    - #### public boolean isWindows()

      Is it Windows?